Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.passage
Class Msg

    java.lang.Object
      org.crosswire.common.util.MsgBase
          org.crosswire.jsword.passage.Msg

    public class Msg

extends MsgBase

Compile safe Msg resource settings.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: Msg.java,v 1.15 2004/08/30 09:27:07 joe Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Field Summary
`(package private) static Msg` | `ABSTRACT_BOOK_PLURAL`
`(package private) static Msg` | `ABSTRACT_BOOK_SINGULAR`
`(package private) static Msg` | `ABSTRACT_CAST`
`(package private) static Msg` | `ABSTRACT_INDEX`
`(package private) static Msg` | `ABSTRACT_VERSE_PLURAL`
`(package private) static Msg` | `ABSTRACT_VERSE_SINGULAR`
`(package private) static Msg` | `BOOKS_BOOK`
`(package private) static Msg` | `BOOKS_BOOKCHAP`
`(package private) static Msg` | `BOOKS_CHAPTER`
`(package private) static Msg` | `BOOKS_DECODE`
`(package private) static Msg` | `BOOKS_FIND`
`(package private) static Msg` | `BOOKS_NUMBER`
`(package private) static Msg` | `BOOKS_ORDINAL`
`(package private) static Msg` | `BOOKS_SECTION`
`(package private) static Msg` | `BOOKS_VERSE`
`(package private) static Msg` | `ERROR_BLUR`
`(package private) static Msg` | `ERROR_CASE`
`(package private) static Msg` | `ERROR_PATCH`
`(package private) static Msg` | `KEYLIST_READONLY`
`(package private) static Msg` | `PASSAGE_READONLY`
`(package private) static Msg` | `PASSAGE_UNKNOWN`
`(package private) static Msg` | `RANGE_BLURBOOK`
`(package private) static Msg` | `RANGE_BLURNONE`
`(package private) static Msg` | `RANGE_HICOUNT`
`(package private) static Msg` | `RANGE_LOCOUNT`
`(package private) static Msg` | `RANGE_PARTS`
`(package private) static Msg` | `TALLY_ERROR_ENUM`
`(package private) static Msg` | `TALLY_ERROR_ORDER`
`(package private) static Msg` | `VERSE_PARSE`
`(package private) static Msg` | `VERSE_PARTS`

Constructor Summary
`private` | `Msg(String name)` Passthrough ctor

Method Summary

Methods inherited from class org.crosswire.common.util.MsgBase
`loadResources, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TALLY_ERROR_ENUM

    static final Msg TALLY_ERROR_ENUM

### TALLY_ERROR_ORDER

    static final Msg TALLY_ERROR_ORDER

### PASSAGE_READONLY

    static final Msg PASSAGE_READONLY

### ABSTRACT_VERSE_SINGULAR

    static final Msg ABSTRACT_VERSE_SINGULAR

### ABSTRACT_VERSE_PLURAL

    static final Msg ABSTRACT_VERSE_PLURAL

### ABSTRACT_BOOK_SINGULAR

    static final Msg ABSTRACT_BOOK_SINGULAR

### ABSTRACT_BOOK_PLURAL

    static final Msg ABSTRACT_BOOK_PLURAL

### BOOKS_BOOK

    static final Msg BOOKS_BOOK

### BOOKS_SECTION

    static final Msg BOOKS_SECTION

### BOOKS_NUMBER

    static final Msg BOOKS_NUMBER

### BOOKS_FIND

    static final Msg BOOKS_FIND

### BOOKS_BOOKCHAP

    static final Msg BOOKS_BOOKCHAP

### BOOKS_ORDINAL

    static final Msg BOOKS_ORDINAL

### BOOKS_DECODE

    static final Msg BOOKS_DECODE

### BOOKS_CHAPTER

    static final Msg BOOKS_CHAPTER

### BOOKS_VERSE

    static final Msg BOOKS_VERSE

### RANGE_BLURBOOK

    static final Msg RANGE_BLURBOOK

### RANGE_BLURNONE

    static final Msg RANGE_BLURNONE

### RANGE_HICOUNT

    static final Msg RANGE_HICOUNT

### RANGE_LOCOUNT

    static final Msg RANGE_LOCOUNT

### RANGE_PARTS

    static final Msg RANGE_PARTS

### VERSE_PARTS

    static final Msg VERSE_PARTS

### VERSE_PARSE

    static final Msg VERSE_PARSE

### ERROR_CASE

    static final Msg ERROR_CASE

### ERROR_PATCH

    static final Msg ERROR_PATCH

### PASSAGE_UNKNOWN

    static final Msg PASSAGE_UNKNOWN

### ERROR_BLUR

    static final Msg ERROR_BLUR

### ABSTRACT_CAST

    static final Msg ABSTRACT_CAST

### ABSTRACT_INDEX

    static final Msg ABSTRACT_INDEX

### KEYLIST_READONLY

    static final Msg KEYLIST_READONLY

Constructor Detail

### Msg

    private Msg(String name)

  Passthrough ctor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD